opal/runtime/opal_init.c File Reference.TH "opal/runtime/opal_init.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/runtime/opal_init.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/util/malloc.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'opal/util/show_help.h'\fP
.br
\fC#include 'opal/memoryhooks/memory.h'\fP
.br
\fC#include 'opal/mca/base/base.h'\fP
.br
\fC#include 'opal/runtime/opal.h'\fP
.br
\fC#include 'opal/mca/memory/base/base.h'\fP
.br
\fC#include 'opal/mca/paffinity/base/base.h'\fP
.br
\fC#include 'opal/mca/timer/base/base.h'\fP
.br
\fC#include 'opal/include/constants.h'\fP
.br
\fC#include 'opal/util/error.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static const char * \fBopal_err2str\fP (int errnum)"
.br
.ti -1c
.RI "int \fBopal_init\fP (void)"
.br
.RI "\fIInitialize the OPAL utilities. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int opal_init (void)"
.PP
Initialize the OPAL utilities. 
.PP
\fBReturn values:\fP
.RS 4
\fIOPAL_SUCCESS\fP Upon success. 
.br
\fIOPAL_ERROR\fP Upon failure.
.RE
.PP
This function performs 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
